## ros-eloquent-launch 0.9.7

=== debian/changelog ===
ros-eloquent-launch (0.9.7-1bionic) bionic; urgency=high

  * Delete unnecessary loading of 'launch.frontend.interpolate_substitution_method' entry point that was never used (#434 <https://github.com/ros2/launch/issues/434>) (#464 <https://github.com/ros2/launch/issues/464>)
  * Fix parsing of cmd line arguments in XML and yaml file (#379 <https://github.com/ros2/launch/issues/379>) (#403 <https://github.com/ros2/launch/issues/403>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-launch (0.9.6-1bionic) bionic; urgency=high

  * Fix case where output buffer is closed during shutdown (#365 <https://github.com/ros2/launch/issues/365>)
  * Release loop lock before waiting for it to do work (#369 <https://github.com/ros2/launch/issues/369>)
  * Contributors: Peter Baughman, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 21 Jan 2020 06:00:00 -0000

ros-eloquent-launch (0.9.5-1bionic) bionic; urgency=high

  * fix PendingDeprecationWarning about asyncio.Task.current_task (#355 <https://github.com/ros2/launch/issues/355>)
  * import collections.abc (#354 <https://github.com/ros2/launch/issues/354>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-eloquent-launch (0.9.4-1bionic) bionic; urgency=high

  * Fix ExecuteProcess.get_sub_entities() implementation. (#353 <https://github.com/ros2/launch/issues/353>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-launch (0.9.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-launch (0.9.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-launch (0.9.1-1bionic) bionic; urgency=high

  * Fix error in ExecuteProcess parse classmethod (#339 <https://github.com/ros2/launch/issues/339>)
  * Add support to ignore fields when parsing ExecuteProcess. (#336 <https://github.com/ros2/launch/issues/336>)
  * Make parse_substitution handle zero-width text. (#335 <https://github.com/ros2/launch/issues/335>)
  * Fix InvalidLaunchFileError error message. (#333 <https://github.com/ros2/launch/issues/333>)
  * Fix default Action describe_conditional_sub_entities() implementation. (#334 <https://github.com/ros2/launch/issues/334>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-launch (0.9.0-1bionic) bionic; urgency=high

  * Fix "'GroupAction' object has no attribute 'actions'" error (#327 <https://github.com/ros2/launch/issues/327>)
  * install package marker and manifest (#323 <https://github.com/ros2/launch/issues/323>)
  * Make IncludeLaunchDescription force launch_arguments (#284 <https://github.com/ros2/launch/issues/284>)
  * fix expectation for test on Windows (#319 <https://github.com/ros2/launch/issues/319>)
  * Improve error message when a failing to include launch file (#315 <https://github.com/ros2/launch/issues/315>)
  * Fix launch argument listing/checking issues (#310 <https://github.com/ros2/launch/issues/310>)
  * Support LaunchService injection into pre-shutdown tests. (#308 <https://github.com/ros2/launch/issues/308>)
  * Fix test_expose_decorators failures (#307 <https://github.com/ros2/launch/issues/307>)
  * Add assertWaitForStartup method to match assertWaitForShutdown (#278 <https://github.com/ros2/launch/issues/278>)
  * Add support for conditions in IncludeLaunchDescription actions (#304 <https://github.com/ros2/launch/issues/304>)
  * Convert list comprehension to generator (#300 <https://github.com/ros2/launch/issues/300>)
  * Don't create a log directory every time the launch logger is imported. (#299 <https://github.com/ros2/launch/issues/299>)
  * Avoid registering atexit on windows (#297 <https://github.com/ros2/launch/issues/297>)
  * Correct launch service sigterm handling (#294 <https://github.com/ros2/launch/issues/294>)
  * fix encoding handling when writing to stdout and log files (#280 <https://github.com/ros2/launch/issues/280>)
  * More idiomatic typecheck-only imports (#285 <https://github.com/ros2/launch/issues/285>)
  * Add deprecated argument to LaunchDescriptionn (#291 <https://github.com/ros2/launch/issues/291>)
  * Add support for not optional environment variable substitution (#288 <https://github.com/ros2/launch/issues/288>)
  * Add parsing method to PythonExpression substitution (#281 <https://github.com/ros2/launch/issues/281>)
  * Revert "Revert "[execute_process] emulate_tty configurable and defaults to true"" (#277 <https://github.com/ros2/launch/issues/277>)
  * Refactor launch.frontend file loading (#271 <https://github.com/ros2/launch/issues/271>)
  * Revert "[execute_process] emulate_tty configurable and defaults to true (#265 <https://github.com/ros2/launch/issues/265>)" (#276 <https://github.com/ros2/launch/issues/276>)
  * fix linter warnings (#274 <https://github.com/ros2/launch/issues/274>)
  * [execute_process] emulate_tty configurable and defaults to true (#265 <https://github.com/ros2/launch/issues/265>)
  * Add parsing method for dirname substitution (#273 <https://github.com/ros2/launch/issues/273>)
  * Add parsing methods for SetEnviromentVariable and UnsetEnviromentVariable (#272 <https://github.com/ros2/launch/issues/272>)
  * Add parsing method for DeclareLaunchArgument (#270 <https://github.com/ros2/launch/issues/270>)
  * Add frontend module in launch, launch_xml and launch_yaml packages (#226 <https://github.com/ros2/launch/issues/226>)
  * Add PathJoinSubstitution (#266 <https://github.com/ros2/launch/issues/266>)
  * Fix EventHandler type hints (#264 <https://github.com/ros2/launch/issues/264>)
  * Fix build_cop #214 <https://github.com/ros2/launch/issues/214> (#259 <https://github.com/ros2/launch/issues/259>)

