=== debian/control ===
Source: ros-eloquent-launch
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-eloquent-ament-copyright, ros-eloquent-ament-flake8, ros-eloquent-ament-pep257, ros-eloquent-osrf-pycommon, ros-eloquent-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-lark-parser, ros-eloquent-ament-index-python, ros-eloquent-osrf-pycommon, ros-eloquent-ros-workspace
Description: The ROS launch tool.
